<?php
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Ordenes/ordenes.php");
include("logos.php");
$nombrepagina = "CONSULTA " . strtoupper($str_campo) . " # " . strtoupper($valor);
$target = 'valor_consulta';
encabezado($target);
$fecha_actual = date("Y-m-d");
$str_campo = $_GET['campo'];

unset($titulos);
unset($query_expor);
unset($nom_xls);

$user = $_SESSION['validar'];
$id_cli = $_SESSION['cliente'];
$tamano_pagina = 10;
$_SESSION['tam'] = $tamano_pagina;
$pagina = $_GET["pagina"];
if (!$pagina) {
    $inicio = 0;
    $_SESSION['inicio'] = $inicio;
    $pagina = 1;
} else {
    $inicio = ($pagina - 1) * $tamano_pagina;
    $_SESSION['inicio'] = $inicio;
}
$filas = 1;
if ($filas == 1) {

    class llamado {
        var $menuObj;
        //var
        function validar1($id_user, $id_sucursal) {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }
    }

    $llamadoObj = new llamado();
    $llamadoObj->validar1($_GET['id_user'], $_GET['suc']);
    entrada($user, $_GET['id_user'], $_GET['suc']);
    echo"</td>";
    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    //echo"<br><br>";
    mostrar_cabeza_trabajo($nombrepagina);

    class obtiene {

        var $userObj;

        function obtener($suc) {
            $this->userObj = new select_zonas();
            //$tabla=$this->userObj->get_tabla($_GET['suc']);
            $tabla = "guias_proceso";
            $_SESSION['tabla_guia'] = "guias_proceso";
            //$tabla;
        }

    }

    $eliminaObj = new obtiene();
    $eliminaObj->obtener($suc);
    $tabla = $_SESSION['tabla_guia'];

    if (empty($valor_consulta) and (!empty($f1) and !empty($f2))) {
        $valor_consulta = "void";
    }

    if (!empty($valor_consulta)) {
        $valor_consulta = trim($valor_consulta);
        $perfil = $_SESSION['perfil'];

        if (!empty($tp_consulta)) {
            $tp_operador = "='";
            $tp_operador2 = "'";
            $tp_consulta = '2';
        } else {
            $tp_operador = " LIKE '";
            $tp_operador2 = "%'";
            $tp_consulta = '1';
        }

        IF (!empty($f1) and !empty($f2)) {
            $preg_fecha = " and (fecha_cargue>='" . $f1 . "' and fecha_cargue<='" . $f2 . "')";
        } else {
            $preg_fecha = '';
        }


        if ($valor_consulta == "void") {
            $campo = "guia";
            $tp_operador = ">'";
            $valor_consulta = "0";
            $tp_operador2 = "'";
        }

        if ($perfil == 5 || $perfil == 3) {
            $add = "WHERE g.guia" . $tp_operador . trim($valor_consulta) . $tp_operador2 . $preg_fecha . " AND g.id_sucursal='" . $suc . "' AND g.id_cliente='" . $id_cli . "' ORDER BY g.id_conse DESC";
        } else {           
            $add = "WHERE g." . $campo . $tp_operador . trim($valor_consulta) . $tp_operador2 . $preg_fecha . " ORDER BY g.id_conse DESC";
        }
        $sql_consulta = "SELECT g.guia, g.empresa, g.destinatario, g.direccion, g.telefono, g.ciudad " .
                "FROM $tabla as g " .
                "$add";


        $titulos[] = "GUIA";
        $titulos[] = "ORDEN";
        $titulos[] = "ESTADO";
        $titulos[] = "EMPRESA";
        $titulos[] = "IDENTIFICACION";
        $titulos[] = "DESTINATARIO";
        $titulos[] = "DIRECCION";
        $titulos[]=$Tespecial5;
        $titulos[] = "TELEFONO";
        $titulos[] = "CIUDAD";
        $titulos[] = "ESPECIAL1";
        $titulos[] = "ESPECIAL2";
        $titulos[] = "ESPECIAL3";
        $titulos[] = "ESPECIAL4";
        $titulos[] = "ESPECIAL6";
        $titulos[] = "ESPECIAL7";
        $titulos[] = "ESPECIAL8";
        $titulos[] = "ESPECIAL9";
        $titulos[] = "ESPECIAL10";


        
$campos_consulta="trim(g.guia) as guia,trim(g.orden) as orden,trim(g.empresa) as empresa,trim(g.destinatario) as destinatario,
trim(g.direccion) as direccion,trim(cod_zona) as cod_zona,DATE_FORMAT(g.especial5,'%d/%m/%Y') as especial5,
trim(g.identificacion) as identificacion,trim(g.ciudad) as ciudad,trim(o.producto) as producto,trim(e.nombre) as nombre,
trim(g.telefono) as telefono,trim(g.especial1) as especial1,trim(g.especial2) as especial2,trim(g.especial3) as especial3,
trim(g.especial4) as especial4,trim(g.especial6) as especial6,trim(g.especial7) as especial7,trim(g.especial8) as especial8,
trim(g.especial9) as especial9,trim(g.especial10) as especial10,trim(no_paquete) as paquete";
$add1="as g inner join ordenes as o on g.orden=o.orden inner join estados_gestion as e on g.id_estado=e.id_estado ".$add;
$_SESSION['campos_consulta']=$campos_consulta;
$_SESSION['sadd1']=$add1;
$_SESSION['header'] = $Tguia.';'.$Torden.';'.$Tempresa.';'.$Tdestinatario.';'.$Tdireccion.';'."COD_ZONA".';'.$Tespecial5.
';'.$Tidentificacion.';'.$Tciudad.';'.$Tproducto.';'.$Testado.';'.$Ttelefono.';'.$Tespecial1.';'.$Tespecial2.';'.$Tespecial3.
';'.$Tespecial4.';'.$Tespecial6.';'.$Tespecial7.';'.$Tespecial8.';'.$Tespecial9.';'.$Tespecial10.';PAQUETE';        
        
        
        


        $query_expor = "SELECT trim(g.guia) as guia,trim(g.orden) as orden,trim(b.nombre) as estado,trim(g.empresa) as empresa,trim(g.identificacion) as identificacion
      ,trim(g.destinatario) as destinatario,trim(g.direccion) as direccion,trim(cod_zona) as cod_zona,trim(g.telefono) as telefono,trim(g.ciudad) as ciudad
      ,trim(g.especial1) as especial1,trim(g.especial2) as especia2,trim(g.especial3) as especia3,trim(g.especial4) as especia4
      ,trim(g.especial5) as especia5,trim(g.especial6) as especia6,trim(g.especial7) as especia7,trim(g.especial8) as especia8
      ,trim(g.especial9) as especia9,trim(g.especial10) as especial0,trim(no_paquete) as paquete FROM guias_proceso as g inner join estados_gestion as b 
      on g.id_estado=b.id_estado " . $add;

        $_SESSION['sql_nomina'] = $query_expor;
        $_SESSION['titulos'] = $titulos;
        $_SESSION['nom_xls'] = "Consulta_Envios";

        class filas {

            var $rowsobj;

            function cantidad($sql_consulta) {
                $this->userObj = new select_zonas();
                $cant = $this->userObj->get_filas($sql_consulta);
                return $cant;
            }

        }

        $fecha_actual = date("Y-m-d");
        $filasobj = new filas();
        $cant = $filasobj->cantidad($sql_consulta);
        $total_paginas = ceil($cant / $tamano_pagina);
    }
    ?>
    <style type="text/css">
        td.comment{
            padding:0pt;
            padding-bottom:0pt;
            margin:0pt;  
        }

        .comment{

            margin:0pt;	

            width:700px;
            height:auto !important;
            overflow:scroll !important;

        }

    </style>
    <form action="" method="get" name="backup">
        <script language="javascript" src="js/popcalendar.js"></script>
        <CENTER>
            <table width="450" border="0" class="primaria">
                <tr class=miTable_tr>
                    <td colspan="4" class=miTable_th1><div align="center">..:: Consulta de Envios ::..</div></td>
                </tr>    
                <tr class="miTable_tr">
                    <td width="250" class="miTable_td"><select name="campo" class="inputbox" tabindex="1">
                            <option value="guia"><? echo $Tguia ?></option>
                            <option value="empresa"><? 
if($_SESSION['id_user']=='45'){
    echo "PQR";
}else{
    echo $Tempresa;
} ?></option>
                            <option value="destinatario"><? echo $Tdestinatario ?></option>
                            <option value="direccion"><? echo $Tdireccion ?></option>
                            <option value="telefono"><? echo $Ttelefono ?></option>
                            <option value="ciudad"><? echo $Tciudad ?></option>
                            <option value="identificacion"><? echo $Tidentificacion ?></option>
                            <option value="orden"><? echo $Torden ?></option>
                            <?php
                            if (!empty($Cespecial1)) {
                                echo "<option value='especial1'>" . $Tespecial1 . "</option>";
                            }
                            if (!empty($Cespecial2)) {
                                echo "<option value='especial2'>" . $Tespecial2 . "</option>";
                            }
                            if (!empty($Cespecial3)) {
                                echo "<option value='especial3'>" . $Tespecial3 . "</option>";
                            }
                            if (!empty($Cespecial4)) {
                                echo "<option value='especial4'>" . $Tespecial4 . "</option>";
                            }
                            if (!empty($Cespecial5)) {
                                echo "<option value='especial5'>" . $Tespecial5 . "</option>";
                            }
                            if (!empty($Cespecial6)) {
                                echo "<option value='especial6'>" . $Tespecial6 . "</option>";
                            }
                            if (!empty($Cespecial7)) {
                                echo "<option value='especial7'>" . $Tespecial7 . "</option>";
                            }
                            if (!empty($Cespecial8)) {
                                echo "<option value='especial8'>" . $Tespecial8 . "</option>";
                            }
                            if (!empty($Cespecial9)) {
                                echo "<option value='especial9'>" . $Tespecial9 . "</option>";
                            }

                            if (!empty($Cespecial10)) {
                                echo "<option value='especial10'>" . $Tespecial10 . "</option>";
                            }
                            ?>
                        </select>      </td>

                    <td width="250" class="miTable_td"><input name="valor_consulta" id="valor_consulta" type="text" size="35" autofocus="autofocus" tabindex="1" class="inputbox">
                        <input type="hidden" name="suc2" value="<? echo $_GET['suc']; ?>" class="inputbox">
                        <input type="hidden" name="id_user2" value="<? echo $_GET['id_user']; ?>" class="inputbox">
                        <input type="hidden" name="tabla2" value="<? echo $tabla; ?>" class="inputbox">      </td>

                    <td width="300" class="miTable_td"><input name="tp_consulta" type="checkbox" tabindex="2" checked class="inputbox" id="tp_consulta" size="35">
                    </td>
                    <td width="300" class="miTable_td">
                        Busqueda Exacta.
                    </td>          
                </tr>   
                <tr class="miTable_tr">
                    <td width="250" class="miTable_td">Fecha Inicial:</td>
                    <td width="250" class="miTable_td">
                        <input type="text" name="f1" id="dates1" value="<? echo $f1; ?>" onClick="popUpCalendar(this, backup.dates1, 'yyyy-mm-dd');" class="inputbox" tabindex="3">
                    </td>
                </tr>

                <tr class="miTable_tr">
                    <td width="200" class="miTable_td">Fecha Final:</td>
                    <td width="200" class="miTable_td">
                        <input type="text" name="f2" id="dates2" value="<? echo $f2; ?>" onClick="popUpCalendar(this, backup.dates2, 'yyyy-mm-dd');" class="inputbox" tabindex="4">
                    </td>
                </tr>    
                <tr class="miTable_tr">
                    <td colspan='4' class="miTable_td">
                <center>

                    <?$nombcsv='ConsultaEnvios_'."_".date('Ymd');?>
                   
                </center>
                </td>


                <tr class=miTable_tr>
                    <td class=miTable_th1 colspan="4"><div align="center">
                            <input type="submit" name="Registrar" value="Consultar" class="inputbox" tabindex="6">
                        </div></td>
                </tr>
            </table>
            <table width="719" border="0" class="primaria">
                <tr>
                    <td width="750" colspan="11" align="center">
                    <!--<? echo "<FONT color='#F3250A'>" . $nombrepagina . " : </FONT><FONT color='#308DC7'></FONT>"; ?></td>-->
                </tr>
                <tr class=miTable_tr>
                    <td colspan="11" class=miTable_th1><div align="center">..::Consulta de Envios ::..</div></td>
                </tr>
                <tr class=miTable_tr>
                    <td colspan="11" class=miTable_th1>Cantidad de registros encontrados <? print $cant; ?></td>
                </tr>
            </table>


            <!--/////////aqui debe ir el div////////////////////-->    
            <div style='overflow-x:scroll;overflow-y:scroll;width:720px;height:480px'>
                <table border="0" width="720" class="primaria">
                    <tr class="miTable_tr">
                        <td valign=top class=miTable_th1 width='65'>IMAGEN</td>    
                        <td valign=top class=miTable_th1 width='65'><? echo $Trastreo ?></td>
                        <td valign=top class=miTable_th1 width="40"><? echo $Tguia ?></td>
                        <td valign=top class=miTable_th1 width="40"><? echo $Torden ?></td>
                        <td valign=top class=miTable_th1 width="40"><? echo $Testado ?></td>
                        <td valign=top class=miTable_th1 width="180"><? 
if($_SESSION['id_user']=='45'){
    echo "PQR";
}else{
    echo $Tempresa;
} ?></td>
                        <td valign=top class=miTable_th1 width="170"><? echo $Tdestinatario ?></td>
                        <td valign=top class=miTable_th1 width="60"><? echo $Tdireccion ?></td>
                        <td valign=top class=miTable_th1 width="60"><? echo $Tespecial5 ?></td>
                        <td valign=top class=miTable_th1 width="60"><? echo $Ttelefono ?></td>
                        <td valign=top class=miTable_th1 width="200"><? echo $Tciudad ?></td>
                        <td valign=top class=miTable_th1 width="200"><? echo $Tidentificacion ?></td>
                        <?
                        if (!empty($Tespecial1)) {
                            echo "<td valign=top class=miTable_th1 width='65'>" . $Tespecial1 . "</td>";
                        }
                        if (!empty($Tespecial2)) {
                            echo "<td valign=top class=miTable_th1 width='65'>" . $Tespecial2 . "</td>";
                        }
                        if (!empty($Tespecial3)) {
                            echo "<td valign=top class=miTable_th1 width='65'>" . $Tespecial3 . "</td>";
                        }
                        if (!empty($Tespecial4)) {
                            echo "<td valign=top class=miTable_th1 width='65'>" . $Tespecial4 . "</td>";
                        }

                        if (!empty($Tespecial6)) {
                            echo "<td valign=top class=miTable_th1 width='65'>" . $Tespecial6 . "</td>";
                        }

                        if (!empty($Tespecial7)) {
                            echo "<td valign=top class=miTable_th1 width='65'>" . $Tespecial7 . "</td>";
                        }

                        if (!empty($Tespecial8)) {
                            echo "<td valign=top class=miTable_th1 width='65'>" . $Tespecial8 . "</td>";
                        }

                        if (!empty($Tespecial9)) {
                            echo "<td valign=top class=miTable_th1 width='65'>" . $Tespecial9 . "</td>";
                        }

                        if (!empty($Tespecial10)) {
                            echo "<td valign=top class=miTable_th1 width='65'>" . $Tespecial10 . "</td>";
                        }
                        
                        echo "<td valign=top class=miTable_th1 width='65'>PAQUETE</td>";
                        
                        echo "</tr>";



                        if (empty($valor_consulta) and (!empty($f1) and !empty($f2))) {
                            $valor_consulta = "void";
                        }

                        if (!empty($valor_consulta)) {
                            $valor_consulta = trim($valor_consulta);

                            if ($valor_consulta == "void") {
                                $campo = "guia";
                                $tp_operador = ">'";
                                $valor_consulta = "0";
                                $tp_operador2 = "'";
                            }

                            class elimina {

                                var $userObj;

                                function eliminar($valor_consulta, $campo, $tabla, $id_cli, $tp_consulta, $add) {
                                    $tamano_pagina = $_SESSION['tam'];
                                    $inicio = $_SESSION['inicio'];
                                    $this->userObj = new select_zonas();
                                    $this->userObj->lista_guias_clientes($inicio, $tamano_pagina, $_GET['suc'], $_GET['id_user'], trim($valor_consulta), $campo, $tabla, $id_cli, $tp_consulta, $add);
                                }

                            }

                            $eliminaObj = new elimina();
                            $eliminaObj->eliminar(trim($valor_consulta), $campo, $tabla, $id_cli, $tp_consulta, $add);
                        }
                        ?>
                    </tr>
                </table>
            </div>

            <table>
                <tr class=miTable_tr>
                    <td class=miTable_td colspan="11">
                        <div align="center">
                            <?
                            $id_user = $_GET['id_user'];
                            $id_sucursal = $_GET['suc'];
                            if ($total_paginas > 1) {
                                echo "Paginas:";
//echo "&nbsp;&nbsp;";
                                $start = ( $pagina - 5 > 0 ? $pagina - 5 : 1 );
                                if ($start > 1) {
                                    print "&nbsp;<a href='ver_guia_cliente.php?pagina=" . ($start - 1) . "&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor_consulta=$valor_consulta&tabla=$tabla&id_cli=$id_cli&f1=$f1&f2=$f2'> << </A>";
                                }
                                for ($i = 0; $i < 10 && $total_paginas >= $start + $i; $i++) {
                                    if ($pagina == $start + $i) {
                                        print "&nbsp;&nbsp;" . ($start + $i);
                                    } else {
                                        print "&nbsp;&nbsp;<a href='ver_guia_cliente.php?pagina=" . ($start + $i) . "&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor_consulta=$valor_consulta&tabla=$tabla&id_cli=$id_cli&f1=$f1&f2=$f2'>" . ($start + $i) . " </A>";
                                    }
                                }
                                if ($start + $i < $total_paginas) {
                                    print "&nbsp;&nbsp;<a href='ver_guia_cliente.php?pagina=" . ($start + $i) . "&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor_consulta=$valor_consulta&tabla=$tabla&id_cli=$id_cli&f1=$f1&f2=$f2'> >> </A>";
                                }
                                print "&nbsp;&nbsp;<a href='ver_guia_cliente.php?pagina=1&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor_consulta=$valor_consulta&tabla=$tabla&id_cli=$id_cli&f1=$f1&f2=$f2'>Primera P&aacute;gina</A>";
                                print "&nbsp;&nbsp;<a href='ver_guia_cliente.php?pagina=" . ($total_paginas) . "&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor_consulta=$valor_consulta&tabla=$tabla&id_cli=$id_cli&f1=$f1&f2=$f2'>&Uacute;ltima P&aacute;gina</A>";
                            }
                            ?></td>
                </tr>
                <tr class=miTable_tr>
                    <td class=miTable_th1 colspan="11">
                        <DIV align="center">
                            Ir a la pagina
                            <input type='text' name='pagina' value='' size="5" class="inputbox">
                            <input type='hidden' name='id_user' value='<? echo $id_user ?>'>
                            <input type='hidden' name='suc' value='<? echo $id_sucursal ?>'>
                            <input type='hidden' name='tabla' value='<? echo $tabla ?>'>
    <?
//if (!empty($campo)){
//	echo "<input type='hidden' name='campo' value='$campo'>";
//}
//if (!empty($valor_consulta)){
//	echo "<input type='hidden' name='valor_consulta' value='$valor_consulta'>";
//}
    if (!empty($id_cli)) {
        echo "<input type='hidden' name='id_cli' value='$id_cli'>";
    }
    ?>

                            <input type='submit' name='' value='Ir' class="inputbox">
                        </DIV></td>
                </tr>
            </table>
        </CENTER>

            <?
            mostrar_pie();
        }
        echo"</td>";
        echo"</tr>";
        echo"</table>";
        echo"<table width=603 border=0 align=center cellpadding=0 cellspacing=0>";
        echo"<tbody><tr>";
        echo"<td></td>";
        echo"</tr>";
        echo"<tr>";
        echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
        echo"</tr>";
        echo"<tr>";
        ?>
    <td>
    <center>
<? pie_de_pagina(); ?>
    </center>
</td>
<?php
echo"</tr>";
echo"</tbody></table>";

echo"</center>";
echo"</body>";
echo"</html>";
?>
</center>
</form>  
